Subject: Re: problem using gcc-core for compile qemu
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Thu, 7 Jan 2021 10:21:46 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-01-06 20:23, Juan carlos Rebate via Cygwin wrote:
> Good morning happy new year, first of all I am going to ask you that
> when you read my case, do not refer me to another tool, do not refer
> me to another environment, but above all do not ask me to read because
> I already read all of Google and there is no solution , but I refuse
> to think that there is not, it is simply that nobody has bothered to
> publish it.
> I am using the gcc-core 9.3 package to compile qemu, I use this one
> because mingw does not incorporate all the features that I am looking
> for, and gcc is able to search for resources as it would in linux
> whereas mingw cannot unless the paths are edited.
> the problem that appears to me is the following:
> ERROR: Unrecognized host OS (uname -s reports 'CYGWIN_NT-10.0'), there
> are no options to indicate the target, there are no options to avoid
> the operating system test, (at least not in a simple way). How could I
> solve the failure? I beg that it be done as I have it configured

If qemu used autotools then it could require only autoreconfig.

You need to patch the configure script to recognize __CYGWIN__ and set Cygwin as 
targetos, then pick mainly Linux features if they are supported POSIX 
interfaces, otherwise have a look at the Mingw alternative, and pick features 
suitable for Cygwin.

It might be easier or you might be better just changing the Mingw build to do 
what you want instead.

In either case you could then submit the patches upstream on github as a PR 
(pull request: fork the project repo on github under your account, then clone 
your fork of the repo to your system, create a topic branch, make your changes 
and commits incrementally, then push the branch back to your fork of the repo on 
github, and submit a PR from that to the original upstream qemu repo).
Even if they don't accept the PR, you can still pull and merge updates from the 
upstream repo to your fork and your clone.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple